%define major   0
%define libname %mklibname fastlz %{major}
%define devname %mklibname fastlz -d

Summary:        Lightning-fast lossless compression library
Name:           fastlz
Version:        0.5.0
Release:        %mkrel 1
License:        MIT
Group:          System/Libraries
# https://github.com/ariya/FastLZ
# svn checkout http://fastlz.googlecode.com/svn/trunk/ fastlz
URL:            https://ariya.github.io/FastLZ/
Source0:        https://github.com/ariya/FastLZ/archive/%{version}/FastLZ-%{version}.tar.gz
# autopoo by oden (configure.ac, Makefile.am)
Source1:        configure.ac
Source2:        Makefile.am
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  m4
BuildRequires:  libtool

%description
This package contains utilities that uses the shared fastlz library.

%package -n %{libname}
Summary:        Lightning-fast lossless compression library
Group:          System/Libraries

%description -n %{libname}
This package contains the shared fastlz library.

%package -n %{devname}
Summary:        Development library and header files for the fastlz library
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains the development library and header files for the fastlz
library.


%prep
%setup -q -n FastLZ-%{version}
cp %{SOURCE1} .
cp %{SOURCE2} .

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.*a' -delete

%files
%doc ChangeLog README.md
%{_bindir}/*

%files -n %{libname}
%doc ChangeLog README.md
%license LICENSE*
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %{devname}
%{_libdir}/lib*.so
%{_includedir}/*.h


%changelog
* Fri Nov 22 2024 daviddavid <daviddavid> 0.5.0-1.mga10
+ Revision: 2118483
- new version: 0.5.0

* Wed Mar 16 2022 umeabot <umeabot> 0.1.0-0.0.svn12.6.mga9
+ Revision: 1794547
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.1.0-0.0.svn12.5.mga8
+ Revision: 1521411
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Dec 21 2018 daviddavid <daviddavid> 0.1.0-0.0.svn12.4.mga7
+ Revision: 1344251
- add missing obsoletes

* Fri Dec 21 2018 daviddavid <daviddavid> 0.1.0-0.0.svn12.3.mga7
+ Revision: 1344244
- add missing provides on devel pkg
- fix devel pkg name

* Sun Sep 23 2018 umeabot <umeabot> 0.1.0-0.0.svn12.2.mga7
+ Revision: 1297663
- Mageia 7 Mass Rebuild

* Tue Mar 01 2016 oden <oden> 0.1.0-0.0.svn12.1.mga6
+ Revision: 981499
- use correct rpm macros
- yuck
- add "--add-missing" for automake
- imported package fastlz

